=== debian/changelog ===
libgit2 (1.3.2+dfsg.1-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix version (LP: #1991636)
  * d/watch: switch to the GH tags page as the release page broke
    tarball links
  * d/p/fix-warnings-atomic-exchange.patch: cherry-picked from upstream
    to silence a particularly loud warning

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 04 Oct 2022 09:55:21 +0200

libgit2 (1.3.0+dfsg.1-3ubuntu1) kinetic; urgency=medium

  * d/control: Use OpenSSL as the crypto backend

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 01 Jul 2022 12:05:54 +0200

libgit2 (1.3.0+dfsg.1-3) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Mon, 02 May 2022 17:52:28 +0530

libgit2 (1.3.0+dfsg.1-2) experimental; urgency=medium

  * Rebuild with newer libmbedtls

 -- Pirate Praveen <praveen@debian.org>  Wed, 16 Mar 2022 02:19:59 +0530

libgit2 (1.3.0+dfsg.1-1) experimental; urgency=medium

  * New upstream version 1.3.0+dfsg.1
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility level to 13
  * Refresh patches
  * Update sumbols file and create libgit2-1.3 binary package

 -- Pirate Praveen <praveen@debian.org>  Sat, 11 Dec 2021 18:10:44 +0530
