=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# This rules file has 2 streams, the build-debian-devel stream builds
# the static library and the bulid-debian-release builds the dynamic
# library.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
TEST_TMPDIR := $(CURDIR)/tmp-test
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-debian-release -- \
		-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
		-DUSE_OPENSSL:BOOL=OFF \
		-DUSE_HTTPS=OpenSSL \
		-DCERT_LOCATION=/etc/ssl/certs/ca-certificates.crt \
		-DUSE_CURL_SSL:BOOL=ON \
		-DUSE_GSSAPI:BOOL=ON \
		-DTHREADSAFE:BOOL=ON \
		-DBUILD_CLAR:BOOL=ON \
		-DUSE_NTLMCLIENT=OFF \
		-DENABLE_REPRODUCIBLE_BUILDS=ON \
		-DUSE_HTTP_PARSER=system \
		-DLIB_INSTALL_DIR:STRING=lib/$(DEB_HOST_MULTIARCH)

	dh_auto_configure --builddirectory=build-debian-devel -- \
		-DCMAKE_BUILD_TYPE:STRING=Release \
		-DTHREADSAFE:BOOL=ON \
		-DUSE_HTTPS=OpenSSL \
		-DCERT_LOCATION=/etc/ssl/certs/ca-certificates.crt \
		-DUSE_CURL_SSL:BOOL=ON \
		-DUSE_GSSAPI:BOOL=ON \
		-DBUILD_CLAR:BOOL=OFF \
		-DBUILD_SHARED_LIBS:BOOL=OFF \
		-DUSE_NTLMCLIENT=OFF \
		-DENABLE_REPRODUCIBLE_BUILDS=ON \
		-DUSE_HTTP_PARSER=system \
		-DLIB_INSTALL_DIR:STRING=lib/$(DEB_HOST_MULTIARCH)


override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_auto_build:
	dh_auto_build --builddirectory=build-debian-release
	dh_auto_build --builddirectory=build-debian-devel

override_dh_auto_install:
	dh_auto_install --builddirectory=build-debian-release
	dh_auto_install --builddirectory=build-debian-devel

override_dh_auto_test:
	mkdir -p build-debian-release/tmp
	dh_auto_test --builddirectory=build-debian-release
	mkdir -p build-debian-devel/tmp
	dh_auto_test --builddirectory=build-debian-devel

override_dh_installexamples:
	dh_installexamples --exclude .gitignore

%:
	dh $@ --buildsystem cmake --dbgsym-migration='libgit2-dbg (<< 0.26.0+dfsg.1-1~)' --builddirectory=build-debian-release
	dh $@ --buildsystem cmake --builddirectory=build-debian-devel
