=== debian/changelog ===
libgit2 (1.5.1+ds-1+deb12u1) bookworm-security; urgency=high

  * Team upload.
  * Fix CVE-2024-24575: Denial of service attack in git_revparse_single
    (Closes: #1063415)
  * Fix CVE-2024-24577: Use-after-free in git_index_add
    (Closes: #1063416)

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Feb 2024 12:31:43 +0100

libgit2 (1.5.1+ds-1) unstable; urgency=high

  * Team upload.
  * New upstream version 1.5.1+ds
    - Fix CVE-2023-22742: No certificate checking for SSH remotes
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Sun, 22 Jan 2023 22:03:29 +0100

libgit2 (1.5.0+ds-6) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sun, 02 Oct 2022 16:07:23 +0200

libgit2 (1.5.0+ds-5) experimental; urgency=medium

  * Team upload.
  * Fix libpcre2-dev dependency of libgit2-dev

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Sep 2022 22:17:22 +0200

libgit2 (1.5.0+ds-4) experimental; urgency=medium

  * Team upload.
  * Disable even more flaky lstat() tests

 -- Timo Röhling <roehling@debian.org>  Wed, 31 Aug 2022 15:54:12 +0200

libgit2 (1.5.0+ds-3) experimental; urgency=medium

  * Team upload.
  * Guard more lstat() asserts with GITTEST_FLAKY_STAT

 -- Timo Röhling <roehling@debian.org>  Wed, 31 Aug 2022 13:36:51 +0200

libgit2 (1.5.0+ds-2) experimental; urgency=medium

  * Team upload.
  * Enable GITTEST_FLAKY_STAT workaround for unit tests
  * Apply M-A hint to libgit2-fixtures

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Aug 2022 23:04:36 +0200

libgit2 (1.5.0+ds-1) experimental; urgency=medium

  * Team upload.
  * Update d/watch
  * Bump Standards-Version to 4.6.1
  * New upstream version 1.5.0+ds (Closes: #1016800)
  * Explicitly set USE_SSH=ON (Closes: #1015965)
  * Bump SONAME to libgit2.so.1.5
  * Add lintian overrides for fixture data
  * Switch to PCRE2 (Closes: #1000045)

 -- Timo Röhling <roehling@debian.org>  Sun, 28 Aug 2022 19:56:46 +0200

libgit2 (1.4.3+dfsg.1-1) experimental; urgency=medium

  * New upstream version 1.4.3+dfsg.1
  * Update symbols file and create libgit2-1.4 binary package
  * d/p/: Refresh patches
  * Add myself to uploaders

 -- Mohammed Bilal <mdbilal@disroot.org>  Thu, 05 May 2022 17:17:21 +0530
