## libgit2 1.7.1+ds

=== debian/changelog ===
libgit2 (1.7.1+ds-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use OpenSSL as the crypto backend
    - Use cmake:native in d/tests/control
    - Lower optimization level to O2 on ppc64el to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Dec 2023 09:29:52 +0100

libgit2 (1.7.1+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Sat, 02 Dec 2023 20:29:31 +0100

libgit2 (1.7.1+ds-1) experimental; urgency=medium

  * Update d/copyright
  * New upstream version 1.7.1+ds
  * Bump SONAME to 1.7

 -- Timo Röhling <roehling@debian.org>  Fri, 08 Sep 2023 10:45:39 +0200

libgit2 (1.6.4+ds-1) experimental; urgency=medium

  * New upstream version 1.6.4+ds
  * Refresh patches
    - Drop fix-unit-tests.patch (no longer needed)
  * Bump SONAME to 1.6
  * Add myself to uploaders
  * Update d/symbols

 -- Timo Röhling <roehling@debian.org>  Mon, 19 Jun 2023 20:45:38 +0200

libgit2 (1.5.1+ds-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use OpenSSL as the crypto backend
    - Use cmake:native in d/tests/control
    - Lower optimization level to O2 on ppc64el to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Jan 2023 22:12:51 +0100

libgit2 (1.5.0+ds-6ubuntu2) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use OpenSSL as the crypto backend
    - Use cmake:native in d/tests/control
    - Lower optimization level to O2 on ppc64el to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 12:25:02 +0100
