=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Utkarsh Gupta <utkarsh@debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>,
-	   Mohammed Bilal <mdbilal@disroot.org>
+	   Mohammed Bilal <mdbilal@disroot.org>,
+	   Timo Röhling <roehling@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                python3-minimal:any,
                pkg-config,
                ca-certificates,
                cmake,
                zlib1g-dev,
-               libmbedtls-dev,
+               libssl-dev,
                libssh2-1-dev,
                libhttp-parser-dev,
                libpcre2-dev,
@@ -26,9 +27,9 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libgit2-1.5 (= ${binary:Version}),
+Depends: libgit2-1.7 (= ${binary:Version}),
          zlib1g-dev,
-         libmbedtls-dev,
+         libssl-dev,
          libssh2-1-dev,
          libhttp-parser-dev,
          libpcre2-dev,
@@ -40,7 +41,7 @@
  .
  This package contains the development files for libgit2.
 
-Package: libgit2-1.5
+Package: libgit2-1.7
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
