=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 	   Timo Röhling <roehling@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                python3-minimal:any,
-               pkg-config,
+               pkgconf,
                ca-certificates,
                cmake,
                zlib1g-dev,
-               libssl-dev,
+               libmbedtls-dev,
                libssh2-1-dev,
                libhttp-parser-dev,
                libpcre2-dev,
@@ -29,7 +29,7 @@
 Multi-Arch: same
 Depends: libgit2-1.7 (= ${binary:Version}),
          zlib1g-dev,
-         libssl-dev,
+         libmbedtls-dev,
          libssh2-1-dev,
          libhttp-parser-dev,
          libpcre2-dev,
