=== debian/changelog ===
libgit2 (1.7.2+ds-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:58:30 +0000

libgit2 (1.7.2+ds-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:24:03 +0000

libgit2 (1.7.2+ds-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use OpenSSL as the crypto backend
    - Use cmake:native in d/tests/control
    - Lower optimization level to O2 on ppc64el to fix a test failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Feb 2024 09:12:02 +0100
