=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libgit2
 Section: libs
 Priority: optional
-Maintainer: Utkarsh Gupta <utkarsh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utkarsh Gupta <utkarsh@debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>,
 	   Mohammed Bilal <mdbilal@disroot.org>,
 	   Timo Röhling <roehling@debian.org>,
@@ -11,7 +12,7 @@
                ca-certificates,
                cmake,
                zlib1g-dev,
-               libmbedtls-dev,
+               libssl-dev,
                libssh2-1-dev,
                libhttp-parser-dev,
                libpcre2-dev,
@@ -29,7 +30,7 @@
 Multi-Arch: same
 Depends: libgit2-1.7 (= ${binary:Version}),
          zlib1g-dev,
-         libmbedtls-dev,
+         libssl-dev,
          libssh2-1-dev,
          libhttp-parser-dev,
          libpcre2-dev,
