=== debian/tests/control ===
Test-Command: cmake debian/tests;make;./libgit2_test
Depends: @, cmake:native, gcc:native, g++:native
