## libgit2 1.7.2+ds-1ubuntu3+11.0trisquel1

=== tests/libgit2/CMakeLists.txt ===
--- 
+++ 
@@ -66,6 +66,7 @@
 include(AddClarTest)
 add_clar_test(libgit2_tests offline             -v -xonline)
 add_clar_test(libgit2_tests invasive            -v -sfilter::stream::bigfile -sodb::largefiles -siterator::workdir::filesystem_gunk -srepo::init -srepo::init::at_filesystem_root -sonline::clone::connect_timeout_default)
+if(NOT DISABLE_ONLINE_TESTS)
 add_clar_test(libgit2_tests online              -v -sonline -xonline::customcert)
 add_clar_test(libgit2_tests online_customcert   -v -sonline::customcert)
 add_clar_test(libgit2_tests gitdaemon           -v -sonline::push)
@@ -75,3 +76,4 @@
 add_clar_test(libgit2_tests proxy               -v -sonline::clone::proxy)
 add_clar_test(libgit2_tests auth_clone          -v -sonline::clone::cred)
 add_clar_test(libgit2_tests auth_clone_and_push -v -sonline::clone::push -sonline::push)
+endif()
