=== debian/changelog ===
libgit2 (1.7.2+ds-1ubuntu3+11.0trisquel1) aramo-backports; urgency=medium

  * Adding package as a dependency for newer abrowser releases.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 19 Jun 2025 21:06:57 +0000
