=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libgit2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Utkarsh Gupta <utkarsh@debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>,
 	   Mohammed Bilal <mdbilal@disroot.org>,
